using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;
using CarCenterDataModels.Models;

namespace CarCenterContracts.BusinessLogicsContracts
{
    public interface IEmployeeLogic
    {
        List<EmployeeViewModel>? ReadList(EmployeeSearchModel? model);
        EmployeeViewModel? ReadElement(EmployeeSearchModel model);
        bool AddSaleToEmployee(EmployeeSearchModel model, ISaleModel Sale);
        bool Create(EmployeeBindingModel model);
        bool Update(EmployeeBindingModel model);
        bool Delete(EmployeeBindingModel model);
    }
}
